#cookieprefs {
    width: 640px;
    max-width: 100%;
    right: 20px;
    bottom: 0;
    padding: 40px;
    box-sizing: border-box;
    font-size: .9em;
    background-color: var(--bodycolor1);
    box-shadow: 0px 0px 30px rgb(from var(--textcolor1) r g b / 0.2);
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    user-select: none; 
    max-height: 100%;
    overflow-y: auto;  
    -webkit-overflow-scrolling: touch;
    transition: opacity 300ms ease-in-out;
    opacity: 0;
    scrollbar-width: thin;

    border-radius: 10px;
}
#cookieprefs.not-static {
    position: fixed;
}
#cookieprefs.appear {
    opacity: 1;
}
#cookieprefs .cookietitle {
    font-size: 1.4em;
    font-weight: 700;
    margin-bottom: 15px;
    font-family: "Poppins";
    max-width: 100%;
}
#cookieprefs .cookieintro {
    position: relative;
    /*overflow-y: auto;*/
    padding: 25px;
    background-color: var(--bodycolor2);
    border-radius: 10px;
    font-size: .7em;
    line-height: 1.5;
    margin-bottom: 30px;
}
#cookieprefs .cookieopt {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    column-gap: 1em;
    margin-bottom: 10px;
}
#cookieprefs .cookieopt details {
    flex-grow: 1;
    text-align: left;
}
#cookieprefs .cookieopt details summary {
    cursor: pointer;
    font-weight: 600;
    color: var(--color1);
}
#cookieprefs .cookieopt details summary::before {
    top: 0;
    filter: var(--colorfilter1);
}
#cookieprefs .cookieopt details p {
    margin-top: 10px;
    margin-bottom: 10px;
    width: calc(100% + 60px);
    font-size: .8em;
}
#cookieprefs .cookieopt label.cookieopt-toggle {
    position: relative;
    display: inline-block;
    width: 60px;
    min-width: 60px;
    height: 30px;
}
#cookieprefs .cookieopt label.cookieopt-toggle .toggle-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 30px;
    background-color: var(--textcolor1);
    transition: background-color 300ms ease-in-out;
}
#cookieprefs .cookieopt label.cookieopt-toggle .toggle-background:after {
    content: "";
    position: absolute;
    top: 4px;
    left: 4px;
    width: 22px;
    height: 22px;
    border-radius: 50%;
    background-color: var(--bodycolor1);
    transition: transform 300ms ease-in-out;
}
#cookieprefs .cookieopt label.cookieopt-toggle input[type="checkbox"] {
    opacity: 0;
    width: 0;
    height: 0;
}
#cookieprefs .cookieopt label.cookieopt-toggle input[type="checkbox"]:not(:disabled) + .toggle-background {
    cursor: pointer;
}
#cookieprefs .cookieopt label.cookieopt-toggle input[type="checkbox"]:checked + .toggle-background {
    background-color: var(--color1);
}
#cookieprefs .cookieopt label.cookieopt-toggle input[type="checkbox"]:disabled + .toggle-background {
    background-color: #aaa;
}
#cookieprefs .cookieopt label.cookieopt-toggle input[type="checkbox"]:checked + .toggle-background:after {
    transform: translateX(30px);
}
#cookieprefs p a {
    color: var(--color1);
}
#cookieprefs .button-row {
    display: flex;
    justify-content: space-between;
    /*flex-wrap: wrap;*/
    gap: 1em;
    margin-top: 30px;
    position: sticky;
    bottom: 0;
    background: var(--bodycolor1);
    /*box-shadow: 0px 30px 30px 50px #fff;*/
    /*padding-top: 10px;*/
}
#cookieprefs .button-row .btn {
    margin: 0;
    font-size: .8em;
}
#cookieprefs .button-row .btn:last-of-type {
    background: var(--color1);
}
#cookieprefs .button-row .btn:last-of-type:hover {
    background-color: var(--color2);
}
@media screen and (max-width: 900px) {
    #cookieprefs {
        font-size: .8em;
    }
    #cookieprefs .button-row {
        flex-direction: column;
        gap: 5px;
    }
    #cookieprefs .button-row .btn {
        width: 100%;
    }
}
@media screen and (max-width: 400px) {
    #cookieprefs {
        padding: 15px;
    }
}
